Bug 565683 - podofo-devel multilib conflict
Summary: podofo-devel multilib conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podofo
Version: 17
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-15 22:23 UTC by Philippe Troin
Modified: 2012-07-14 21:55 UTC (History)
1 user (show)

Fixed In Version: podofo-0.7.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-14 21:55:13 UTC


Attachments (Terms of Use)

Description Philippe Troin 2010-02-15 22:23:23 UTC
Description of problem:

yum install podofo-devel.i686 podofo-devel.x86_64

yields:

Transaction Check Error:
  file /usr/share/doc/podofo-devel-0.7.0/html/Codingstyle.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/PdfDefines_8h.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/PdfError_8h.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/PdfFiltersPrivate_8h.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/annotated.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/classPoDoFo_1_1NonPublic_1_1PdfTTFWriter-members.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/classPoDoFo_1_1NonPublic_1_1PdfTTFWriter.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/classPoDoFo_1_1PdfAction-members.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
  file /usr/share/doc/podofo-devel-0.7.0/html/classPoDoFo_1_1PdfAction.html from install of podofo-devel-0.7.0-3.fc12.i686 conflicts with file from package podofo-devel-0.7.0-3.fc12.x86_64
(many more)


Version-Release number of selected component (if applicable):
podofo-devel-0.7.0-3.fc12

Comment 1 Fedora Update System 2010-02-16 11:27:50 UTC
podofo-0.7.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/podofo-0.7.0-4.fc12

Comment 2 Fedora Update System 2010-02-18 22:34:58 UTC
podofo-0.7.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update podofo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1395

Comment 3 Fedora Update System 2010-03-02 00:57:28 UTC
podofo-0.7.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Philippe Troin 2012-06-13 00:11:21 UTC
Reintroduced in F17:

# yum install podofo-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package podofo-devel-0.9.1-5.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package podofo-devel.i686 0:0.9.1-5.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch         Version                 Repository      Size
================================================================================
Installing:
 podofo-devel         i686         0.9.1-5.fc17            fedora         591 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 591 k
Installed size: 5.8 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/podofo-devel-0.9.1/html/Codingstyle.html from install of podofo-devel-0.9.1-5.fc17.i686 conflicts with file from package podofo-devel-0.9.1-5.fc17.x86_64
  file /usr/share/doc/podofo-devel-0.9.1/html/PdfDefines_8h.html from install of podofo-devel-0.9.1-5.fc17.i686 conflicts with file from package podofo-devel-0.9.1-5.fc17.x86_64
  file /usr/share/doc/podofo-devel-0.9.1/html/PdfError_8h.html from install of podofo-devel-0.9.1-5.fc17.i686 conflicts with file from package podofo-devel-0.9.1-5.fc17.x86_64
  file /usr/share/doc/podofo-devel-0.9.1/html/PdfFiltersPrivate_8h.html from install of podofo-devel-0.9.1-5.fc17.i686 conflicts with file from package podofo-devel-0.9.1-5.fc17.x86_64
  file /usr/share/doc/podofo-devel-0.9.1/html/annotated.html from install of podofo-devel-0.9.1-5.fc17.i686 conflicts with file from package podofo-devel-0.9.1-5.fc17.x86_64
...

Comment 5 Dan Horák 2012-06-19 09:20:00 UTC
Ah, the html docs now contain a footer with timestamp. Thanks for the report.

Comment 6 Dan Horák 2012-06-19 10:46:48 UTC
and the reason is that doxygen now (wrongly) defaults to "HTML_TIMESTAMP = YES", F-16 packages seems fine, so I will the workaround to F-17 and rawhide

Comment 7 Fedora Update System 2012-07-03 13:15:42 UTC
podofo-0.9.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/podofo-0.9.1-6.fc17

Comment 8 Fedora Update System 2012-07-05 23:32:28 UTC
Package podofo-0.9.1-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing podofo-0.9.1-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10262/podofo-0.9.1-6.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-07-14 21:55:13 UTC
podofo-0.9.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.